Z8530_TX_DONE(9)

NAME
z8530_tx_done - TX complete callback

SYNOPSIS

void z8530_tx_done (struct z8530_channel * c);

ARGUMENTS

c   The channel that completed a transmit.

DESCRIPTION

This is called when we complete a packet send. We wake the queue, start the next packet going and then free the buffer of the existing packet. This code is fairly timing sensitive.

Called with the register lock held.

AUTHOR
Alan Cox <alan@redhat.com>.